/*
This program is confidential and proprietary to MRJ Technology Solutions
and may not be reproduced, published or disclosed to others without
written authorization from MRJ.

Copyright (c) 1998 MRJ Technology Solutions, Inc. All Rights Reserved.

This program is derived from prior work some of which was originally
written as a joint project between the Numerical Aerospace Simulation
(NAS) Systems Division of NASA Ames Research Center and the National
Energy Research Supercomputer Center (NERSC) of Lawrence Livermore
National Laboratory.
*/
/*
 * cmds.h
 *
 *	Header file for the PBS utilities.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "pbs_error.h"
#include "pbs_ifl.h"

#ifndef TRUE
#define TRUE	1
#define FALSE	0
#endif

#define notNULL(x)	(((x)!=NULL) && (strlen(x)>(size_t)0))
#define NULLstr(x)	(((x)==NULL) || (strlen(x)==0))

#define MAX_LINE_LEN 2048
#define MAXSERVERNAME PBS_MAXSERVERNAME+PBS_MAXPORTNUM+2
#define PBS_DEPEND_LEN 2040

extern int optind, opterr;
extern char *optarg;

int check_job_name A_((char *name, int));
time_t cvtdate A_((char *));
int get_server A_((char *, char *, char *));
int locate_job A_((char *, char *, char *));
int parse_destination_id A_((char *, char **, char **));
int parse_equal_string A_((char *, char **, char **));
int parse_jobid A_((char *, char **, char **, char **));
int prepare_path A_((char *, char*));
void prt_error A_((char *, char *, int));
void set_attr A_((struct attrl **, char *, char *));
int set_resources A_((struct attrl **, char *, int));
int cnt2server A_((char *server));
